Apple II
Technical Notes
_____________________________________________________________________________
                                                  Developer Technical Support


#0: About Apple II Technical Notes                                 March 1989
_____________________________________________________________________________

Technical Note #0 (this document) accompanies each release of Apple II 
Technical Notes.  This release includes a revision to Apple IIGS Note #35, new 
Notes for the Apple IIGS (#53) and GS/OS (#6), and an index to all released 
Apple II Technical Notes.  If there are any subjects which you would like to 
see treated in a Technical Note (or if you have any questions about existing 
Technical Notes), please contact us at one of the following addresses:

                    Apple II Technical Notes
                    Developer Technical Support
                    Apple Computer, Inc.
                    20525 Mariani Avenue, M/S 51ŠT
                    Cupertino, CA 95014
                    AppleLink:  AIIDTS
                    MCI Mail:  AIIDTS (264-0103)

We want Technical Notes to be distributed as widely as possible, so they are 
sent to all Partners and Associates at no charge; they are also posted on 
AppleLink in the Developer Services bulletin board and other electronic 
sources.  You can also order them through APDA.  As an APDA customer, you have 
access to the tools and documentation necessary to develop Apple-compatible 
products.  For more information about APDA, contact:

                    APDA
                    Apple Computer, Inc.
                    20525 Mariani Avenue, M/S 33-G
                    Cupertino, CA 95014
                    (800) 282-APDA or (800) 282-2732
                    Fax:  (408) 562-3971
                    Telex:  171-576
                    AppleLink:  APDA

We place no restrictions on copying Technical Notes, with the exception that 
you cannot resell them, so read, enjoy, and share.  We hope Apple II Technical 
Notes will provide you with lots of valuable information while you are 
developing Apple II hardware and software.  The following pages list all Apple 
II Technical Notes that have been released.


_____________________________________________________________________________
Released Apple II Technical Notes                                  March 1989

                                                                      New ***
                                                                  Revised *R*

Apple IIc

            1    Mouse Differences On IIe and IIc                       11/88
            2    40-Column and Double High-Resolution Graphics          11/88
            3    Foreign Language Keyboard Layouts                      11/88
            4    Dvorak Keyboard Layout                                 11/88
            5    Memory Expansion on the Apple IIc                      11/88
            6    Buffering Blues                                        11/88
            7    Existing Versions                                      11/88

Apple IIe

            1    Overview of the Apple IIe                              11/88
            2    Hardware Protocol for Doing DMA                        11/88
            3    Double High-Resolution Graphics                        11/88
            4    RDY line                                               11/88
            5    /INH line                                              11/88
            6    The Apple II Paddle Circuits                           11/88
            7    Interfaces--Serial, Parallel, and IEEE-488             11/88
            8    Known Anomalies of Enhanced IIe ROMs                   11/88
            9    Switch Input Changes                                   11/88

Apple IIGS

            1    How to Install Custom BRK and /NMI Handlers            11/88
            2    Transforming I/O Subroutines for Use in "Native" Mode  11/88
            3    Window Information Bar Use                             11/88
            4    Changing Graphics Modes in Mid-Application             11/88
            5    Window and Menu Titles                                 11/88
            6    Pen Pattern Data Structure                             11/88
            7    Halt Mechanism in IIGS SANE                            11/88
            8    Elems Functions in IIGS SANE                           11/88
            9    IIGS Sound Expansion Connector: Analog I/O Impedances  11/88
           10    InvalRgn Twist                                         11/88
           11    Ensoniq DOC Swap-Mode Anomaly                          11/88
           12    Tool Set Interdependencies                             11/88
           13    ROM 1.0 Modem Firmware Bug                             11/88
           14    Standard File Calls and GrafPort Records               11/88
           15    InstallFont and Big Fonts                              11/88
           16    Notes on Background Printing                           11/88
           17    Application Memory Management & the MMStartUp User ID  11/88
           18    Do-It-Yourself SCC Interrupts                          11/88
           19    Multichannel Output with Apple IIGS Note Synthesizer   11/88
           20    Catalog of APW Language Numbers                        11/88
           21    DMA Compatibility for Expansion RAM                    11/88
           22    Proper Unloading of Dynamic Segments                   11/88
           23    Toolbox Use of DOC RAM                                 11/88
           24    Apple IIGS Toolbox Reference Updates                   11/88
           25    Apple IIGS Firmware Reference Updates                  11/88
           26    ROM 2.0 Revision Summary                               11/88
           27    Graphics Image File Formats                            11/88
           28    Interface Card Design Guidelines                       11/88
           29    Monochrome High-Resolution Mode                        11/88
           30    Apple IIGS Hardware Reference Updates                  11/88
           31    Redirecting Output in APW C                            11/88
           32    /INH Line Anomaly                                      11/88
           33    ERRORDEATH Macro                                       11/88
           34    Low-Level QuickDraw II Routines                         1/89
    *R*    35    Printer Driver Specifications                           3/89
           36    Port Driver Specifications                              1/89
           37    Free-Form Synthesizer Tips                             11/88
           38    List Controls in Dialog Boxes                          11/88
           39    Mega II Video Counters                                 11/88
           40    VBL Signal                                             11/88
           41    Font Family Numbers                                    11/88
           42    Custom Windows                                         11/88
           43    Undocumented Feature of CalcMenuSize                   11/88
           44    GetPenState and SetPenState Record Error               11/88
           45    Parameters for GetFrameColor                           11/88
           46    DrawPicture Data Format                                11/88
           47    What SetDataSize Does                                  11/88
           48    All About AlertWindow                                  11/88
           49    Rebooting (Really)                                      1/89
           50    Extended Serial Interface Error Handling                1/89
           51    Reserving Memory for the Toolbox                        1/89
           52    Loading and Special Memory                              1/89
    ***    53    Desk Accessories and Tools                              3/89

Apple II Miscellaneous

            1    80-Column Screen Dump                                  11/88
            2    Apple II Family Identification Routines 2.1            11/88
            3    Super Serial Card Firmware Bug                         11/88
            4    AppleWorks Keys                                        11/88
            5    AppleWorks File Formats                                11/88
            6    IWM Port Description                                   11/88
            7    Apple II Family Identification                         11/88
            8    Pascal 1.1 Firmware Protocol ID Bytes                  11/88
            9    AppleSoft Real Variable Storage                        11/88
           10    80-Column GetChar Routine                              11/88
           11    Examining the $C800 Space from AppleSoft                1/89
           12    Apple II Firmware WAIT Routine                         11/88

AppleTalk

            1    Identifying AppleTalk                                  11/88
            2    ProDOS 8 Compatibility on the IIe and IIGS             11/88

GS/OS

            1    Contents of the System and System Tools Disks           1/89
            2    GS/OS and the 80-Column Firmware                       11/88
            3    Pointers on Caching                                    11/88
            4    A GS/OS State of Mind                                   1/89
            5    Resource Fork Formats                                   1/89
    ***     6    Drivers and GS/OS Direct Page                           3/89

ImageWriter

            1    Custom Font Selection                                  11/88

Memory Expansion Card

            1    Questions and Answers                                  11/88

Mouse

            1    Interrupt Environment with the Mouse                   11/88
            2    Varying VBL Interrupt Rate                             11/88
            3    Mode Byte of the SetMouse Routine                      11/88
            4    Mouse Firmware Bug Affecting ServeMouse                11/88
            5    Check on Mouse Firmware Card                           11/88
            6    MouseText Characters                                    1/89
            7    Mouse Clamping                                         11/88

Pascal

            4    Pascal Declarations & Directory Structure              11/88
           10    Configuration and Use of Pascal Run-Time Systems       11/88
           12    Disk Formatter Routine                                 11/88
           14    Apple Pascal 1.3 TREESEARCH and IDSEARCH               11/88
           15    Apple II Pascal SHORTGRAPHICS Module                   11/88
           16    Driver to Have Two Volumes on One 3.5" Disk            11/88

ProDOS 8

            1    The GETLN Buffer and a ProDOS Clock Card               11/88
            2    Porting DOS 3.3 Programs to ProDOS and BASIC.SYSTEM    11/88
            3    Device Search, Identification, and Driver Conventions  11/88
            4    I/O Redirection in DOS and ProDOS                      11/88
            5    ProDOS Block Device Formatting                         11/88
            6    Attaching External Commands to BASIC.SYSTEM            11/88
            7    Starting and Quitting Interpreter Conventions          11/88
            8    Dealing with /RAM                                      11/88
            9    Buffer Management Using BASIC.SYSTEM                   11/88
           10    Installing Clock Driver Routines                       11/88
           11    The ProDOS 8 MACHID Byte                               11/88
           12    Interrupt Handling                                     11/88
           13    Double High-Resolution Graphics Files                  11/88
           14    Selector and Dispatcher Conventions                    11/88
           15    How ProDOS 8 Treats Slot 3                             11/88
           16    How to Format a ProDOS Disk Device                     11/88
           17    Recursive ProDOS Catalog Routine                       11/88
           18    /RAM Memory Map                                        11/88
           19    File Auxiliary Type Assignment                         11/88
           20    Mirrored Devices and SmartPort                         11/88
           21    Identifying ProDOS Devices                             11/88

SmartPort

            1    SmartPort Introduction                                 11/88
            2    SmartPort Calls Updated                                11/88
            3    SmartPort Bus Architecture                             11/88
            4    SmartPort Device Types                                 11/88
            5    SCSI SmartPort Control Call Changes                     1/89
            6    Apple IIGS SmartPort Errata                            11/88
            7    SmartPort Subtype Codes                                11/88

UniDisk 3.5

            1    UniDisk 3.5 Internals                                  11/88
            2    UniDisk 3.5 ID Bytes                                   11/88
            3    STATUS Call Bug                                        11/88
            4    Accessing Macintosh Disks                              11/88
            5    Architectural Differences Between 3.5" Drives          11/88
_____________________________________________________________________________
